Package org.eclipse.mat.parser.internal

# Class DominatorTree

java.lang.Object
org.eclipse.mat.parser.internal.DominatorTree

public class DominatorTree extends Object

## Constructor Summary

Constructors
Constructor
Description
`DominatorTree()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`calculate(SnapshotImpl snapshot, IProgressListener listener)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DominatorTree

public DominatorTree()

## Method Details

### calculate

public static void calculate(SnapshotImpl snapshot, IProgressListener listener) throws SnapshotException, IOException

Throws:
  `SnapshotException`
  `IOException`